import { jsx } from "react/jsx-runtime";
import { TokenSXP as TokenSXP$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSXP = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "SXP", "data-name": "TokenSXP", ...props, children: /* @__PURE__ */ jsx(TokenSXP$1, { variant }) });
  }
);
TokenSXP.displayName = "TokenSXP";
Object.assign(TokenSXP, { isGdsIcon: true });
export {
  TokenSXP
};
